## qt6-serialbus 6.9.2

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

if(NOT TARGET Qt::Widgets)
    return()
endif()
if(NOT TARGET Qt::SerialBus)
    return()
endif()
add_subdirectory(serialbus)

qt_examples_build_end()

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(serialbus)
add_subdirectory(plugins)
add_subdirectory(tools)

=== config.tests/socketcan_fd/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(config_test_socketcan_fd LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== src/plugins/CMakeLists.txt ===
add_subdirectory(canbus)

=== src/tools/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(android_app OR
    (QT_FEATURE_commandlineparser
        AND NOT ANDROID
        AND NOT UIKIT
        AND NOT WASM
        AND NOT rtems))
        add_subdirectory(canbusutil)
endif()

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(cmake)
add_subdirectory(qcanbusframe)
add_subdirectory(qcanbusdevice)
add_subdirectory(qcandbcfileparser)
add_subdirectory(qcanframeprocessor)
add_subdirectory(qcanmessagedescription)
add_subdirectory(qcansignaldescription)
add_subdirectory(qcanuniqueiddescription)
add_subdirectory(qmodbusdataunit)
add_subdirectory(qmodbusreply)
add_subdirectory(qmodbusdevice)
add_subdirectory(qmodbuspdu)
add_subdirectory(qmodbusclient)
add_subdirectory(qmodbusserver)
add_subdirectory(qmodbuscommevent)
add_subdirectory(qmodbusadu)
add_subdirectory(qmodbusdeviceidentification)
add_subdirectory(plugins)
if(QT_FEATURE_modbus_serialport)
    add_subdirectory(qmodbusrtuserialclient)
endif()
if(NOT ANDROID)
    add_subdirectory(qcanbus)
endif()

=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET Qt::Widgets AND TARGET Qt::SerialBus)
    add_subdirectory(modbus)
endif()

=== tests/auto/qcanbusdevice/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qcanbusdevice Test:
#####################################################################

qt_internal_add_test(tst_qcanbusdevice
    SOURCES
        tst_qcanbusdevice.cpp
    LIBRARIES
        Qt::Network
        Qt::SerialBus
)

# should be
# qt6_import_plugins(tst_qcanbusdevice INCLUDE TestCanBusPlugin)
# but qt6_import_plugins does not work here
target_link_libraries(tst_qcanbusdevice PRIVATE TestCanBusPlugin)

=== tests/auto/qcanframeprocessor/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_qcanframeprocessor
    SOURCES
        tst_qcanframeprocessor.cpp
    LIBRARIES
        Qt::Network
        Qt::SerialBus
        Qt::SerialBusPrivate
)

=== tests/auto/qcanmessagedescription/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

get_filename_component(SHARED_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../shared ABSOLUTE)

qt_internal_add_test(tst_qcanmessagedescription
    SOURCES
        tst_qcanmessagedescription.cpp
    INCLUDE_DIRECTORIES
        ${SHARED_DIR}
    LIBRARIES
        Qt::Network
        Qt::SerialBus
        Qt::SerialBusPrivate
)

=== tests/auto/qcanuniqueiddescription/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

get_filename_component(SHARED_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../shared ABSOLUTE)

qt_internal_add_test(tst_qcanuniqueiddescription
    SOURCES
        tst_qcanuniqueiddescription.cpp
    INCLUDE_DIRECTORIES
        ${SHARED_DIR}
    LIBRARIES
        Qt::Network
        Qt::SerialBus
        Qt::SerialBusPrivate
)

=== tests/auto/qmodbusclient/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_FEATURE_private_tests)
    return()
endif()

#####################################################################
## tst_qmodbusclient Test:
#####################################################################

qt_internal_add_test(tst_qmodbusclient
    SOURCES
        tst_qmodbusclient.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::Network
        Qt::SerialBus
        Qt::SerialBusPrivate
)

=== debian/changelog ===
qt6-serialbus (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Oct 2025 21:31:09 +0100

qt6-serialbus (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:05:22 +0200

qt6-serialbus (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Sep 2025 21:13:01 +0200

=== debian/control ===
Source: qt6-serialbus
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               cmake (>= 3.24~),
               libgl-dev,
               libvulkan-dev [linux-any],
               linux-libc-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-serialport-dev (>= 6.9.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus.git

Package: libqt6serialbus6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6serialbus6-plugins (<< 6.3.1-3~),
Replaces: libqt6serialbus6-plugins (<< 6.3.1-3~),
Description: Qt 6 Serial Bus library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the shared library for Qt 6 Serial Bus.

Package: libqt6serialbus6-bin
Architecture: linux-any
Section: utils
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Serial Bus helper binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains helper binaries for the Qt 6 Serial Bus module.

Package: qt6-serialbus-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6serialbus6 (= ${binary:Version}),
         libqt6serialbus6-bin (= ${binary:Version}) [linux-any],
         qt6-base-dev,
         qt6-serialport-dev,
         ${misc:Depends},
Breaks: libqt6serialbus6-dev (<< 6.4.1-2~),
Replaces: libqt6serialbus6-dev (<< 6.4.1-2~),
Description: Qt 6 Serial Bus development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the header development files used for building Qt 6
 applications using qtserialbus.

Package: qt6-serialbus-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serial bus documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 serial bus.

Package: qt6-serialbus-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serial bus HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 serial bus.

Package: qt6-serialbus-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serialbus tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt serial bus
 documentation.

Package: qt6-serialbus-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 serial bus examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt serial bus submodule.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DINSTALL_PUBLICBINDIR=/usr/bin \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-serialbus 6.9.3

=== debian/changelog ===
qt6-serialbus (6.9.3-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 00:48:35 +0000

qt6-serialbus (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-serialbus (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 15:55:59 +1000

qt6-serialbus (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:46:07 +1000

qt6-serialbus (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:12:20 +1000

qt6-serialbus (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:25:36 +1000

qt6-serialbus (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:32:27 +1000

qt6-serialbus (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:19:37 +1000

qt6-serialbus (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:11:51 +1000

qt6-serialbus (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:08:16 +1000

qt6-serialbus (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 19:43:40 +1000

qt6-serialbus (6.4.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6serialbus6-dev to qt6-serialbus-dev.
  * Update dependencies.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 20:20:27 +0100

qt6-serialbus (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:08:38 +0100

=== debian/control ===
Source: qt6-serialbus
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               libgl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               linux-libc-dev [linux-any],
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-serialport-dev (>= 6.9.3~)
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-serialbus.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-serialbus
Maintainer: Neon CI <neon@kde.org>

Package: qt6-serialbus
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt6serialbus6-plugins (<< 6.3.1-3~)
Replaces: libqt6serialbus6, libqt6serialbus6-bin, libqt6serialbus6-plugins
Description: Qt 6 Serial Bus library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the shared library for Qt 6 Serial Bus.

Package: qt6-serialbus-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-serialbus (= ${binary:Version}),
         qt6-serialport-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6serialbus6-dev (<< 6.4.1-2~)
Replaces: libqt6serialbus6-dev, qt6-serialbus-doc-dev, qt6-serialbus-examples
Description: Qt 6 Serial Bus development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the header development files used for building Qt 6
 applications using qtserialbus.

Package: qt6-serialbus-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-serialbus-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-serialbus-doc-html
Description: Qt 6 Serial Bus documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the documentation files to help build Qt 6
 applications using qtserialbus.

Package: libqt6serialbus6
Architecture: all
Depends: qt6-serialbus, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6serialbus6t64
Architecture: all
Depends: qt6-serialbus, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6serialbus6-bin
Architecture: all
Depends: qt6-serialbus, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-serialbus-doc-dev
Architecture: all
Depends: qt6-serialbus-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-serialbus-doc-html
Architecture: all
Depends: qt6-serialbus-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-serialbus-examples
Architecture: all
Depends: qt6-serialbus-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-serialbus 6.10.0

=== debian/changelog ===
qt6-serialbus (6.10.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 15 Nov 2025 23:29:23 +0000

qt6-serialbus (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:35:06 +1000

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-serialport-dev (>= 6.9.3~)
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+               qt6-base-dev (>= 6.10.0~),
+               qt6-serialport-dev (>= 6.10.0~)
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-serialbus 6.10.1

=== debian/changelog ===
qt6-serialbus (6.10.1-0zneon+24.04+noble+stable+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 06:49:04 +0000

qt6-serialbus (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:08 +1000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-serialport-dev (>= 6.10.0~)
+               qt6-base-dev (>= 6.10.1~),
+               qt6-serialport-dev (>= 6.10.1~)
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

## qt6-serialbus 6.10.2

=== debian/changelog ===
qt6-serialbus (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Feb 2026 18:22:53 +0100

=== debian/control ===
Source: qt6-serialbus
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               cmake (>= 3.24~),
               libgl-dev,
               libvulkan-dev [linux-any],
               linux-libc-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-serialport-dev (>= 6.10.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialbus.git

Package: libqt6serialbus6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6serialbus6-plugins (<< 6.3.1-3~),
Replaces: libqt6serialbus6-plugins (<< 6.3.1-3~),
Description: Qt 6 Serial Bus library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the shared library for Qt 6 Serial Bus.

Package: libqt6serialbus6-bin
Architecture: linux-any
Section: utils
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Serial Bus helper binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains helper binaries for the Qt 6 Serial Bus module.

Package: qt6-serialbus-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6serialbus6 (= ${binary:Version}),
         libqt6serialbus6-bin (= ${binary:Version}) [linux-any],
         qt6-base-dev,
         qt6-serialport-dev,
         ${misc:Depends},
Breaks: libqt6serialbus6-dev (<< 6.4.1-2~),
Replaces: libqt6serialbus6-dev (<< 6.4.1-2~),
Description: Qt 6 Serial Bus development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt 6 Serial Bus module provides the Qt module for general purpose
 serial bus access, support for CAN and potentially other
 serial buses.
 .
 This package contains the header development files used for building Qt 6
 applications using qtserialbus.

Package: qt6-serialbus-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serial bus documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 serial bus.

Package: qt6-serialbus-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serial bus HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 serial bus.

Package: qt6-serialbus-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serialbus tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt serial bus
 documentation.

Package: qt6-serialbus-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 serial bus examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt serial bus submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtserialbus-everywhere-src-(.*)\.tar\.xz
